### File

`packages/ecl/components/ecl-banner/ecl-banner-description.directive.ts`

### Description

Directive for a link inside the banner description.

### Extends

`ECLBaseDirective`

### Metadata

Selector | `[eclBannerDescriptionLink]`

### Index

###### Properties
className
###### Methods
getCssClasses
###### Inputs
class e2eAttr tabindex
###### HostBindings
class

### Inputs

class
Type : `string`

e2eAttr
Type : `any`

tabindex
Type : `number`

### HostBindings

class
Type : `string`
Default value : `'ecl-link ecl-banner__description-link'`

### Methods

getCssClasses
`getCssClasses(rootClass: string)`
Parameters :
Name | Type | Optional
rootClass | `string` | No
Returns : `string`

### Properties

className
Type : `string`
Default value : `'ecl-link ecl-banner__description-link'`
Decorators : `@HostBinding('class')`

# results matching ""

# No results matching ""